package com.ijinshan.ShouJiKongService.service;

import com.ijinshan.ShouJiKongService.service.ISendCallBack;

interface IKTransfer {
	/**
	 * 开始一个新的传送任务
	 */
	boolean startTransfer(String serverName, String serverIp, int serverPort, String thumbFile);
	
	/**
	 * 继续传送
	 */
	void retryTransfer();
	
	/**
	 * 停止传送
	 **/
	void stopTransfer();
	
	/**
	 * 是否PC端停止接收问价
	 **/
	boolean isServerStopAccept();
	
	/**
	 * 传送列表是否完成
	 **/
	boolean isFinished();
	
	/**
	 * 获取设备名称
	 **/
	String getServerName();
	
	/**
	 * 获取设备地址
	 **/
	String getServerIp();
	
	/**
	 * 获取已完成多少个文件(包括成功和失败)
	 **/
	int getFileDone();
	
	/**
	 * 获取文件列表总数
	 **/
	int getFileTotal();
	
	/**
	 * 获取总花费时间
	 **/
	long getCostTime();
	
	/**
	 * 获取已正确发送的数据大小
	 **/
	long getTransferedSize();
	
	boolean isInTransfer();

	void setSendCallBack(ISendCallBack callback);
}